procedure updatpunkte(punkte:longint);
var t:string;
    x,y:integer;
begin
   str(punkte:8,t);
   t:='Punkte: '+t;
   x:=440;
   y:=464;
   setfillpattern(voll,3);
   bar(x,y,x+128,y+8);
   setcolor(1);
   outtextxy(x,y,t);
   setcolor(0);
   outtextxy(x+1,y,t);
end;

procedure zeichnestein(x,y,typ:word);
var xx,yy:word;
begin
   xx:=ox+dx*x-y*dxy;
   yy:=oy+dy*y;
   putimage(xx,yy,ima[0].p_data^,andput);
   case typ of
   0,15 :  putimage(xx,yy,ima[12].p_data^,orput);
   1..11:  putimage(xx,yy,ima[typ].p_data^,orput);
   end;
end;

procedure zeichnechip(x1,y1:integer; chip:chipbase);
var xx,yy,i,j:integer;
begin
   with chip do begin
      xx:=x1+x;
      yy:=y1+y;
      for i:=0 to 3 do for j:=0 to 3 do
      if pattern[i,j]>0 then zeichnestein(xx+i,yy+j,pattern[i,j]);
   end;
end;

procedure loeschechip(x1,y1:integer; chip:chipbase);
var xx,yy,i,j:integer;
begin
   with chip do begin
      xx:=x1+x;
      yy:=y1+y;
      for i:=0 to 3 do for j:=0 to 3 do
      if pattern[i,j]>0 then zeichnestein(xx+i,yy+j,0);
   end;
end;

procedure zeichnefeld(level:word; levelname:string; f:feld);
var i,j:word;
    t  :string;
begin
   for j:=0 to ymax do for i:=0 to 4+j do zeichnestein(i,j,f[i,j]);
   str(level:3,t);
   t:='Level: '+t+'    -    '+levelname;
   j:=464;
   setfillpattern(voll,3);
   bar(63,464,431,473);
   setcolor(1);
   outtextxy(63,j,t);
   setcolor(0);
   outtextxy(64,j,t);
end;
