procedure initchips(var chip:chips);
var i,j,k:integer;
begin
   for i:=0 to 56 do with chip[i] do begin
      x:=0;
      y:=0;
      for j:=0 to 3 do for k:=0 to 3 do pattern[j,k]:=0;
      flip:=i;
      turn:=i;
   end;

   { Cluster, 1 - 6 : }
   with chip[1] do begin
      for j:=0 to 1 do for k:=0 to 1 do pattern[j,k]:=1;
      turn:=2;
      flip:=4;
   end;
   with chip[2] do begin
      for j:=0 to 1 do for k:=0 to 1 do pattern[j+k,k]:=1;
      turn:=3;
      flip:=5;
   end;
   with chip[3] do begin
      for j:=0 to 1 do for k:=0 to 1 do pattern[j,j+k]:=1;
      turn:=1;
      flip:=6;
   end;
   chip[4]:=chip[2];
   chip[5]:=chip[1];
   chip[6]:=chip[3];
   for i:=1 to 3 do begin
      chip[i+3].flip:=i;
      chip[i+3].turn:=3+succ(i mod 3);
   end;

   { Stange, 7 - 12 }
   with chip[7] do begin
      for j:=0 to 3 do pattern[j,j]:=2;
      turn:=8;
      flip:=10;
   end;
   with chip[8] do begin
      for j:=0 to 3 do pattern[0,j]:=2;
      turn:=9;
      flip:=11;
   end;
   with chip[9] do begin
      for j:=0 to 3 do pattern[j,0]:=2;
      turn:=7;
      flip:=12;
   end;
   chip[10]:=chip[8];
   chip[11]:=chip[7];
   chip[12]:=chip[9];
   for i:=1 to 3 do begin
      chip[i+9].flip:=i+6;
      chip[i+9].turn:=9+succ(i mod 3);
   end;

   { Propeller: 13,14 }
   with chip[13] do begin
      for j:=0 to 1 do pattern[j,j]:=4;
      pattern[2,1]:=4; pattern[1,2]:=4;
      turn:=14;
      flip:=14;
   end;
   with chip[14] do begin
      for j:=1 to 2 do pattern[j,j]:=4;
      pattern[0,1]:=4; pattern[1,0]:=4;
      turn:=13;
      flip:=13;
   end;

   { Wurm: 15 - 26 }
   with chip[15] do begin
      for j:=1 to 3 do pattern[j,1]:=5;
      pattern[0,0]:=5;
      turn:=16;
      flip:=21;
   end;
   with chip[16] do begin
      for j:=0 to 2 do pattern[j,j+1]:=5;
      pattern[0,0]:=5;
      turn:=17;
      flip:=22;
   end;
   with chip[17] do begin
      for j:=0 to 2 do pattern[0,j]:=5;
      pattern[1,0]:=5;
      turn:=18;
      flip:=23;
   end;
   with chip[18] do begin
      for j:=0 to 2 do pattern[j,0]:=5;
      pattern[3,1]:=5;
      turn:=19;
      flip:=24;
   end;
   with chip[19] do begin
      for j:=0 to 2 do pattern[j,j]:=5;
      pattern[2,3]:=5;
      turn:=20;
      flip:=25;
   end;
   with chip[20] do begin
      for j:=0 to 2 do pattern[1,j]:=5;
      pattern[0,2]:=5;
      turn:=15;
      flip:=26;
   end;
   with chip[21] do begin
      for j:=0 to 2 do pattern[j,1]:=5;
      pattern[2,0]:=5;
      turn:=22;
      flip:=15;
   end;
   with chip[22] do begin
      for j:=1 to 3 do pattern[1,j]:=5;
      pattern[0,0]:=5;
      turn:=23;
      flip:=16;
   end;
   with chip[23] do begin
      for j:=0 to 2 do pattern[j+1,j]:=5;
      pattern[0,0]:=5;
      turn:=24;
      flip:=17;
   end;
   with chip[24] do begin
      for j:=0 to 2 do pattern[j,0]:=5;
      pattern[0,1]:=5;
      turn:=25;
      flip:=18;
   end;
   with chip[25] do begin
      for j:=0 to 2 do pattern[0,j]:=5;
      pattern[1,3]:=5;
      turn:=26;
      flip:=19;
   end;
   with chip[26] do begin
      for j:=0 to 2 do pattern[j,j]:=5;
      pattern[3,2]:=5;
      turn:=21;
      flip:=20;
   end;

   { Pistol: 27 - 38 }
   with chip[27] do begin
      for j:=0 to 2 do pattern[j,0]:=7;
      pattern[1,1]:=7;
      turn:=28;
      flip:=33;
   end;
   with chip[28] do begin
      for j:=0 to 2 do pattern[j,j]:=7;
      pattern[0,1]:=7;
      turn:=29;
      flip:=34;
   end;
   with chip[29] do begin
      for j:=0 to 2 do pattern[1,j]:=7;
      pattern[0,0]:=7;
      turn:=30;
      flip:=35;
   end;
   with chip[30] do begin
      for j:=0 to 2 do pattern[j,1]:=7;
      pattern[1,0]:=7;
      turn:=31;
      flip:=36;
   end;
   with chip[31] do begin
      for j:=0 to 2 do pattern[j,j]:=7;
      pattern[2,1]:=7;
      turn:=32;
      flip:=37;
   end;
   with chip[32] do begin
      for j:=0 to 2 do pattern[0,j]:=7;
      pattern[1,2]:=7;
      turn:=27;
      flip:=38;
   end;
   with chip[33] do begin
      for j:=0 to 2 do pattern[j,0]:=7;
      pattern[2,1]:=7;
      turn:=34;
      flip:=27;
   end;
   with chip[34] do begin
      for j:=0 to 2 do pattern[0,j]:=7;
      pattern[1,1]:=7;
      turn:=35;
      flip:=28;
   end;
   with chip[35] do begin
      for j:=0 to 2 do pattern[j,j]:=7;
      pattern[1,0]:=7;
      turn:=36;
      flip:=29;
   end;
   with chip[36] do begin
      for j:=0 to 2 do pattern[j,1]:=7;
      pattern[0,0]:=7;
      turn:=37;
      flip:=30;
   end;
   with chip[37] do begin
      for j:=0 to 2 do pattern[1,j]:=7;
      pattern[0,1]:=7;
      turn:=38;
      flip:=31;
   end;
   with chip[38] do begin
      for j:=0 to 2 do pattern[j,j]:=7;
      pattern[1,2]:=7;
      turn:=33;
      flip:=32;
   end;

   { Welle: 39 - 46 }
   with chip[39] do begin
      for j:=0 to 1 do begin pattern[j,0]:=3; pattern[j+2,1]:=3; end;
      turn:=40;
      flip:=42;
   end;
   with chip[40] do begin
      for j:=0 to 1 do begin pattern[j,j]:=3; pattern[j+1,j+2]:=3; end;
      turn:=41;
      flip:=43;
   end;
   with chip[41] do begin
      for j:=0 to 1 do begin pattern[0,j+1]:=3; pattern[1,j]:=3 end;
      turn:=39;
      flip:=44;
   end;
   with chip[42] do begin
      for j:=0 to 1 do begin pattern[j+1,0]:=3; pattern[j,1]:=3; end;
      turn:=43;
      flip:=39;
   end;
   with chip[43] do begin
      for j:=0 to 1 do begin pattern[0,j]:=3; pattern[1,j+2]:=3; end;
      turn:=44;
      flip:=40;
   end;
   with chip[44] do begin
      for j:=0 to 1 do begin pattern[j,j]:=3; pattern[j+2,j+1]:=3 end;
      turn:=42;
      flip:=41;
   end;

   { Bogen: 45 - 50 }
   with chip[45] do begin
      pattern[0,1]:=6; pattern[0,0]:=6;
      pattern[1,0]:=6; pattern[2,1]:=6;
      turn:=46;
      flip:=51;
   end;
   with chip[46] do begin
      pattern[2,2]:=6; pattern[0,0]:=6;
      pattern[1,0]:=6; pattern[2,1]:=6;
      turn:=47;
      flip:=56;
   end;
   with chip[47] do begin
      pattern[1,2]:=6; pattern[0,2]:=6;
      pattern[0,0]:=6; pattern[1,1]:=6;
      turn:=48;
      flip:=55;
   end;
   with chip[48] do begin
      pattern[2,1]:=6; pattern[1,1]:=6;
      pattern[0,0]:=6; pattern[2,0]:=6;
      turn:=49;
      flip:=54;
   end;
   with chip[49] do begin
      pattern[2,2]:=6; pattern[1,2]:=6;
      pattern[0,1]:=6; pattern[0,0]:=6;
      turn:=50;
      flip:=53;
   end;
   with chip[50] do begin
      pattern[1,0]:=6; pattern[1,2]:=6;
      pattern[0,1]:=6; pattern[0,0]:=6;
      turn:=45;
      flip:=52;
   end;
   for i:=51 to 56 do begin
      chip[i]:=chip[i-6];
      if i=51 then chip[i].turn:=56 else chip[i].turn:=i-1;
   end;
end;



procedure initlevel(var level:word; var levelname:string; var f:feld);
const hex='0123456789ABCDEF';
var i,j,k:word;
    ch   :char;
    temp :string;
    ff   :text;
begin
   str(level:3,temp);
   for i:=1 to 3 do if temp[i]=' ' then temp[i]:='0';
   temp:=levelfile+temp;
{$i-}
   Assign(ff,temp);
   reset(ff);
   if ioresult=0 then begin
      readln(ff,levelname);
      for j:=0 to ymax do begin
         readln(ff,temp);
         for i:=1 to succ(xmax) do
         if i>length(temp) then f[pred(i),j]:=15
                           else f[pred(i),j]:=pred(pos(temp[i],hex));
      end;
      close(ff);
   end else begin
      level:=0;
      levelname:='I n t e r n';
      k:=15;    { nicht in Wertung }
      for i:=0 to xmax do for j:=0 to ymax do f[i,j]:=k;
      k:=8;     { Mauer }
      for i:=0 to 23 do begin f[0,i]:=k; f[i+4,i]:=k; end;
      for i:=1 to 3 do f[i,0]:=k;
      for i:=1 to 28 do f[i,23]:=k;
      for i:=15 to 23 do begin f[i-14,i]:=k; f[18,i]:=k;  end;
      k:=0;     { leer }
      for i:=1 to 14 do for j:=1 to i+3 do f[j,i]:=k;
      for i:=15 to 22 do for j:=i-13 to 17 do f[j,i]:=k;         
   end;
  {$i+}
end;
